Page MenuHomePhabricator

Special:CentralAuth should not throw exceptions due to in-progress global renames
Closed, ResolvedPublic

Description

We should catch the exception from CentralAuthUser::queryAttached(), check if a rename is in progress, display a notice to check Special:GlobalRenameProgress and maybe include the log entry if possible.

Event Timeline

Legoktm created this task.May 1 2015, 12:48 AM
Legoktm raised the priority of this task from to Normal.
Legoktm updated the task description. (Show Details)
Legoktm added a project: GlobalRename.
Legoktm added subscribers: Legoktm, Glaisher.
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Legoktm updated the task description. (Show Details)May 1 2015, 12:48 AM
Legoktm set Security to None.
Glaisher claimed this task.May 2 2015, 9:26 AM

Change 208372 had a related patch set uploaded (by Glaisher):
Special:CentralAuth: show an error message when a rename is in progress

https://gerrit.wikimedia.org/r/208372

Change 208372 merged by jenkins-bot:
Special:CentralAuth: show an error message when a rename is in progress

https://gerrit.wikimedia.org/r/208372

Glaisher closed this task as Resolved.May 12 2015, 4:02 AM
Glaisher removed a project: Patch-For-Review.
Keegan moved this task from Backlog to Closed on the GlobalRename board.Jun 7 2015, 1:46 AM